Retrieve an early fraud warning 

Retrieves the details of an early fraud warning that has previously been created.

Please refer to the early fraud warning object reference for more details.

Parameters

No parameters.

Returns

Returns an EarlyFraudWarning if a valid identifier was provided.

GET /v1/radar/early_fraud_warnings/:id
curl https://api.stripe.com/v1/radar/early_fraud_warnings/issfr_1NnrwHBw2dPENLoi9lnhV3RQ \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "issfr_1NnrwHBw2dPENLoi9lnhV3RQ",
"object": "radar.early_fraud_warning",
"actionable": true,
"charge": "ch_1234",
"created": 123456789,
"fraud_type": "misc",
"livemode": false
}

List all early fraud warnings 

Returns a list of early fraud warnings.

Parameters

  • chargestring

    Only return early fraud warnings for the charge specified by this charge ID.

  • createdobject

    Only return early fraud warnings that were created during the given date interval.

  • payment_intentstring

    Only return early fraud warnings for charges that were created by the PaymentIntent specified by this PaymentIntent ID.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit EarlyFraudWarnings, starting after EarlyFraudWarnings starting_after. Each entry in the array is a separate EarlyFraudWarning object. If no more EarlyFraudWarnings are available, the resulting array will be empty.

GET /v1/radar/early_fraud_warnings
curl -G https://api.stripe.com/v1/radar/early_fraud_warnings \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/radar/early_fraud_warnings",
"has_more": false,
"data": [
{
"id": "issfr_1NnrwHBw2dPENLoi9lnhV3RQ",
"object": "radar.early_fraud_warning",
"actionable": true,
"charge": "ch_1234",
"created": 123456789,
"fraud_type": "misc",
"livemode": false
}
]
}